<?php

// +-----------------------------------------------------------------------+
// | Delete Hit/Rate plugin for piwigo  by TEMMII                          |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2011-2021 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
global $template, $conf, $user;
include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
load_language('plugin.lang', PDHR_PATH);
$my_base_url = get_admin_plugin_menu_link(__FILE__);

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

//-------------------------------------------------------- sections definitions



// Gestion des onglets
if (!isset($_GET['tab']))
    $page['tab'] = 'pdhr';
else
    $page['tab'] = $_GET['tab'];

    $tabsheet = new tabsheet();
    $tabsheet->add('pdhr', l10n('Purge All'), PDHR_ADMIN . '-pdhr');
    $tabsheet->select($page['tab']);
    $tabsheet->assign();

// Onglet gestion par photo
switch ($page['tab'])
{
 case 'pdhr':
  $admin_base_url = PDHR_ADMIN . '-pdhr';
  $template->assign(
    'gestion',
    array(
		'U_DELETEHIT' => $admin_base_url . '&amp;deletehit',
		'U_DELETERATE' => $admin_base_url . '&amp;deleterate',
   ));

if (isset($_GET['deletehit'])) {
	$query = 'UPDATE ' . IMAGES_TABLE . ' SET hit= \'0\';';
    pwg_query($query);
	$_SESSION['page_infos'] = array(l10n('Hit purge completed successfully'));
	redirect($admin_base_url);
}

if (isset($_GET['deleterate'])) {
	$query = 'UPDATE ' . IMAGES_TABLE . ' SET rating_score= \'NULL\';';
	$result = pwg_query($query);

	$query = 'TRUNCATE ' . RATE_TABLE . ';';
	$result = pwg_query($query);
    pwg_query($query);
	$_SESSION['page_infos'] = array(l10n('Rate purge completed successfully'));
	redirect($admin_base_url);
}  
 break;
} 

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>